Subject: Re: RFC 4861 missing updated-by

From: Ole Troan <[email-masked]>
Date: Wed, 6 Sep 2017 21:22:38 +0200

To hopefully conclude this thread.
When reviewing this issue again, I did notice that we actually do have a complete registry for router flags:

https://www.iana.org/assignments/icmpv6-parameters/icmpv6-parameters.xhtml#icmpv6-parameters-11

In hindsight one could have argued that perhaps RFC5175 should have updated RFC4861 when it created the registry.
I don't think that issue is big enough to justify any further action on this topic.

Cheers,
Ole

---

From: Mikael Abrahamsson <[email-masked]>
Date: Wed, 6 Sep 2017 21:59:23 +0200 (CEST)

> I don't think that issue is big enough to justify any further action on this topic.

I can't find PIO flags registry in there.

https://tools.ietf.org/id/draft-pioxfolks-6man-pio-exclusive-bit-02.html#rfc.section.5

Where is the registry where L, A, R for PIO is done?

RFC4861 defines L and A flags.
RFC5175 adds R flag.

I can't find 5175 mentioned anywhere relevant in the link you sent. The 
link you sent points to RA bits, not PIO bits.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Ole Troan <[email-masked]>
Date: Wed, 6 Sep 2017 22:03:35 +0200

Mikael,

> I can't find 5175 mentioned anywhere relevant in the link you sent. The link you sent points to RA bits, not PIO bits.

That's what you get for taking a break from this thread.
I did think it was a little strange it hadn't been pointed out before. :-)

Oh well, let's write a short document creating the new registry then...

Ole

---

From: Ole Troan <[email-masked]>
Date: Thu, 7 Sep 2017 09:50:59 +0200

> Oh well, let's write a short document creating the new registry then...

Done.

A new version of I-D, draft-troan-6man-ndpioiana-00.txt
has been successfully submitted by Ole Troan and posted to the
IETF repository.

Name:		draft-troan-6man-ndpioiana
Revision:	00
Title:		IPv6 ND PIO Flags IANA considerations
Document date:	2017-09-07
Group:		Individual Submission
Pages:		4
URL:            https://www.ietf.org/internet-drafts/draft-troan-6man-ndpioiana-00.txt
Status:         https://datatracker.ietf.org/doc/draft-troan-6man-ndpioiana/
Htmlized:       https://tools.ietf.org/html/draft-troan-6man-ndpioiana-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-troan-6man-ndpioiana-00

Abstract:
  The Prefix Information Option in the IPv6 Neighbor Discovery Router
  Advertisement defines an 8-bit flag field with two flags defined and
  the remaining 6 bits reservered (Reserved1).  RFC 6275 has defined a
  new flag from this field without creating a IANA registry or updating
  RFC 4861.  The purpose of this document is to request IANA to create
  a new registry for the PIO flags to avoid potential conflict in the
  use of these flags.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

Ole

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 7 Sep 2017 10:00:17 +0200 (CEST)

>> Oh well, let's write a short document creating the new registry then...

Thanks! Exactly what I wanted. Now that we have a template, does anyone 
know of any other bit fields that are in the same situation?